<?php

class APIController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/

public function getAppointmentRoom(){          
           try
            {
            $data  = [];	
            $msg   = "";
            $status= "";
            
            $room_key 		= Input::get("room_key");
            $is_start 		= Input::get("is_start");
            $is_dr          = Input::get("is_dr");
            $appoint  		= Appointments::where('room_key', $room_key)->first();	
            $hospital = null;
            if(isset($appoint))
            {
                $hospital =  DB::table('hospitals')->where('hospital_id',$appoint->hospital_id)->first();
            	$appoint->format_dt =  date("d-m-Y H:i",strtotime($appoint->appointment_at));

            	$current_dt = date("Y-m-d H:i");
            	$appointment_at = date("Y-m-d H:i",strtotime($appoint->appointment_at));
            	$appointment_end_at = null;
            	if(isset($appoint->appointment_end_at))
            	{
            	    $appointment_end_at = date("Y-m-d H:i",strtotime($appoint->appointment_end_at));     
            	}
            	
            	    if(intval($is_start)  == 1 && intval($is_dr) == 1)
            	    {
            	        //$appoint->appointment_end_at =     
            	       // $appoint = Appointments::find($appoint->appointment_id);
            	        $appoint->appointment_end_at   = date("Y-m-d H:i:s",strtotime($current_dt." +{$appoint->appointment_duration_minutes} minutes"));
            	        $appoint->save();
            	        
            	        $status = 1; // Stream
                		$data = $appoint;
                		$msg = "Stream Started";
            	    }
            	    else
            	    {
            	        if($current_dt < $appointment_at)
                		{
                			$status = 3; // Countdown for start appointment
                			$data = $appoint;
                // 			$msg = "Dear ".$appoint->patient_name.",  Appointment fixed on (".date('d-M-Y',strtotime($appoint->appointment_at)) .") - (".date('H:i',strtotime($appoint->appointment_at)).")";
                            $msg = "Duration left for your appointment time";
                		}
            	        else if($appointment_end_at == null)
            	        {
            	            $status = 2; // wating for Dr
                			$data = $appoint;
                			$msg = "Thank you for reaching The Eye Foundation Video consultation portal. Your consultant will join you shortly. Please wait";
            	        }
                		else if($current_dt >= $appointment_at && $current_dt < $appointment_end_at)
                		{
                		    $ar_dr_count =  AppointmentRoom::where('appointment_id',$appoint->appointment_id)->where('is_doctor',1)->whereNULL('leave_at')->count();
                		    $ar_patient_count =  AppointmentRoom::where('appointment_id',$appoint->appointment_id)->where('is_patient',1)->whereNULL('leave_at')->count();
                		    if($ar_dr_count == 1 && $ar_patient_count == 1)
                		    {
                		        $status = 5; // Stream already running
                			    $data = $appoint;
                			    $msg = "The consultation session is already live";
                		    }
                		    else if($ar_dr_count == 1 && intval($is_dr) == 1) 
                		    {
                		        $status = 5; // Stream already doctore opened
                			    $data = $appoint;
                			    $msg = "The doctor’s consultation is already live";
                		    }
                		    else if($ar_patient_count == 1 && intval($is_dr) != 1) 
                		    {
                		        $status = 5; // Stream already patient opened
                			    $data = $appoint;
                			    $msg = "The patient is already live";
                		    }
                		    else
                		    {
                			    $status = 1; // Stream
                			    $data = $appoint;
                			    $msg = "Stream";
                		    }
                		}
                		else
                		{
                			$data = $appoint;
                			$status = 4; //Expired
                			$msg 	= "Appointment End"; 
                		}   
            	    }
            }
            else
            {
            		$status = 0; // error 
            		$msg = AppMessage::$INVALID_URL;
            }
            
            
         }catch (Exception $e) {
            Log::error('APIController - getAppointmentRoom : '.$e->getMessage());                   
            // $e->getMessage();
            $status = 0;
            $msg = AppMessage::$GENERAL_ERROR;
         }

         header('Access-Control-Allow-Origin: *');
         return Response::json(array('msg'=>$msg,'status'=>$status,'data' => $data,'hospital'=>$hospital)); 
            
    }
    
    
    // public function getAppointmentRoom(){          
    //       try
    //         {
    //         $data  = [];	
    //         $msg   = "";
    //         $status= "";
            
    //         $room_key 		= Input::get("room_key");
    //         $appoint  		= Appointments::where('room_key', $room_key)->first();	
    //         if(isset($appoint))
    //         {
    //         	$appoint->format_dt =  date("d-m-Y H:i",strtotime($appoint->appointment_at));

    //         	$current_dt = date("Y-m-d H:i");
    //         	$appointment_at = date("Y-m-d H:i",strtotime($appoint->appointment_at));
    //         	$appointment_end_at = date("Y-m-d H:i",strtotime($appoint->appointment_end_at)); 
            	
    
    //         		if($current_dt >= $appointment_at && $current_dt <= $appointment_end_at)
    //         		{
    //         			$status = 1; // Stream
    //         			$data = $appoint;
    //         		}
    //         		else if($current_dt < $appointment_at)
    //         		{
    //         			$status = 2; // Countdown 
    //         			$data = $appoint;
    //         			$msg = "Dear ".$appoint->patient_name.",  Appointment fixed on (".date('d-M-Y',strtotime($appoint->appointment_at)) .") - (".date('H:i',strtotime($appoint->appointment_at)).")";
    //         		}
    //         		else
    //         		{
    //         			$data = $appoint;
    //         			$status = 3; //Expired
    //         			$msg 	= "Appointment Time Expired"; 
    //         		}
    //         }
    //         else
    //         {
    //         		$status = 0; // error 
    //         		$msg = AppMessage::$INVALID_URL;
    //         }
            
            
    //      }catch (Exception $e) {
    //         Log::error('APIController - getAppointmentRoom : '.$e->getMessage());                   
    //         // $e->getMessage();
    //         $status = 0;
    //         $msg = AppMessage::$GENERAL_ERROR;
    //      }

    //      header('Access-Control-Allow-Origin: *');
    //      return Response::json(array('msg'=>$msg,'status'=>$status,'data' => $data)); 
            
    // }
    
    public function startRoom(){          
            try
            {
            $data  = [];	
            $msg   = "";
            $status= "";
            
            $room_key 		= Input::get("room_key");
            $is_dr          = Input::get("is_dr");
            $appoint  		= Appointments::where('room_key', $room_key)->first();	
            if(isset($appoint))
            {
            	

            	$current_dt = date("Y-m-d H:i");
            	$appointment_at = date("Y-m-d H:i",strtotime($appoint->appointment_at));
            	$appointment_end_at = null;
            	if(isset($appoint->appointment_end_at))
            	{
            	    $appointment_end_at = date("Y-m-d H:i",strtotime($appoint->appointment_end_at));     
            	}
            	
            	    if(intval($is_dr) == 1)
            	    {
            	        $appoint->appointment_at       = $current_dt;
            	        $appoint->appointment_end_at   = date("Y-m-d H:i:s",strtotime($current_dt." +{$appoint->appointment_duration_minutes} minutes"));
            	        $appoint->save();
            	        
            	        $appoint->format_dt =  date("d-m-Y H:i",strtotime($appoint->appointment_at));
            	        
            	        $status = 1; // Stream
                		$data = $appoint;
                		$msg = "Stream Started";
            	    }
            	    else
            	    {
            	        $appoint->format_dt =  date("d-m-Y H:i",strtotime($appoint->appointment_at));
            	        $status = 1; // Stream
                		$data = $appoint;
                		$msg = "Stream Started";
            	    }
            }
            else
            {
            		$status = 0; // error 
            		$msg = AppMessage::$INVALID_URL;
            }
            
            
         }catch (Exception $e) {
            Log::error('APIController - startRoom : '.$e->getMessage());                   
            // $e->getMessage();
            $status = 0;
            $msg = AppMessage::$GENERAL_ERROR;
         }

         header('Access-Control-Allow-Origin: *');
         return Response::json(array('msg'=>$msg,'status'=>$status,'data' => $data)); 
    }
    
    
    
    public function leaveRoom(){          
            try
            {
            $data  = [];	
            $msg   = "";
            $status= "";
            
            $room_key 		= Input::get("room_key");
            $is_dr          = Input::get("is_dr");
            $appoint  		= Appointments::where('room_key', $room_key)->first();	
            if(isset($appoint))
            {	

            	$current_dt = date("Y-m-d H:i");
            	$appointment_at = date("Y-m-d H:i",strtotime($appoint->appointment_at));
            	$appointment_end_at = null;
            	if(isset($appoint->appointment_end_at))
            	{
            	    $appointment_end_at = date("Y-m-d H:i",strtotime($appoint->appointment_end_at));     
            	}
            	
            	   // if(intval($is_dr) == 1)
            	   // {
            	        $appoint->appointment_end_at   = $current_dt;
            	        $appoint->save();
            	        
            	        $appoint->format_dt =  date("d-m-Y H:i",strtotime($appoint->appointment_at));
            	        
            	        $status = 4; // Stream
                		$data = $appoint;
                		$msg = "Appointment End";
            	   // }
            	   // else
            	   // {
            	   //     $appoint->format_dt =  date("d-m-Y H:i",strtotime($appoint->appointment_at));
            	   //     $status = 4; // Stream
                // 		$data = $appoint;
                // 		$msg = "Appointment End";
            	   // }
            }
            else
            {
            		$status = 0; // error 
            		$msg = AppMessage::$INVALID_URL;
            }
            
            
         }catch (Exception $e) {
            Log::error('APIController - leaveRoom : '.$e->getMessage());                   
            // $e->getMessage();
            $status = 0;
            $msg = AppMessage::$GENERAL_ERROR;
         }

         header('Access-Control-Allow-Origin: *');
         return Response::json(array('msg'=>$msg,'status'=>$status,'data' => $data)); 
    }
    
    //
    public function startStream(){          
            try
            {
            $data  = [];	
            $msg   = "";
            $status= "";
            
            $room_key 		= Input::get("room_key");
            $is_dr          = Input::get("is_dr");
            $socket_id 		= Input::get("socket_id");
            $appoint  		= Appointments::where('room_key', $room_key)->first();	
            if(isset($appoint))
            {	

            	$current_dt = date("Y-m-d H:i:s");
            	
            	$ar =  AppointmentRoom::where('appointment_id',$appoint->appointment_id)->where('socket_id',$socket_id)->first();
            	if(!isset($ar))
            	{
            	    $ar =  new AppointmentRoom();
            	}
            	
            	$ar->appointment_id = $appoint->appointment_id;
            	$ar->socket_id = $socket_id;
            	$ar->entry_at = $current_dt;
            	$ar->leave_at = null;
            	if(intval($is_dr) == 1)
            	{
            	    $ar->is_doctor = 1;
            	}
            	else
            	{
            	    $ar->is_patient = 1;
            	}
                $ar->save();
            	        
    	        $status = 1; // Stream
            }
            else
            {
            		$status = 0; // error 
            		$msg = AppMessage::$INVALID_URL;
            }
            
            
         }catch (Exception $e) {
            Log::error('APIController - startStream : '.$e->getMessage());                   
            // $e->getMessage();
            $status = 0;
            $msg = AppMessage::$GENERAL_ERROR;
         }

         header('Access-Control-Allow-Origin: *');
         return Response::json(array('msg'=>$msg,'status'=>$status,'data' => $data)); 
    }
    
    
    public function leaveStream(){          
            try
            {
            $data  = [];	
            $msg   = "";
            $status= "";
            
            $room_key 		= Input::get("room_key");
            // $is_dr          = Input::get("is_dr");
            $socket_id 		= Input::get("socket_id");
            $appoint  		= Appointments::where('room_key', $room_key)->first();	
            if(isset($appoint))
            {	

            	$current_dt = date("Y-m-d H:i:s");
            	
            	$ar =  AppointmentRoom::where('appointment_id',$appoint->appointment_id)->where('socket_id',$socket_id)->first();
            	if(isset($ar))
            	{
            	
                	$ar->appointment_id = $appoint->appointment_id;
                	$ar->socket_id = $socket_id;
                	$ar->leave_at = $current_dt;
                // 	if(intval($is_dr) == 1)
                // 	{
                // 	    $ar->is_doctor = 1;
                // 	}
                // 	else
                // 	{
                // 	    $ar->is_patient = 1;
                // 	}
                    $ar->save();
            	}
            	        
    	        $status = 1; // end Stream
            }
            else
            {
            		$status = 0; // error 
            		$msg = AppMessage::$INVALID_URL;
            }
            
            
         }catch (Exception $e) {
            Log::error('APIController - startStream : '.$e->getMessage());                   
            // $e->getMessage();
            $status = 0;
            $msg = AppMessage::$GENERAL_ERROR;
         }

         header('Access-Control-Allow-Origin: *');
         return Response::json(array('msg'=>$msg,'status'=>$status,'data' => $data)); 
    }
    
    
    
    
    public function APIAppointmentPost($hospital_id,$id = null)
	{   
	    try
	    {
	        
            $data  = [];	
            $msg   = "";
            $status= "";
            
            $hospitals = DB::table("hospitals")->where("hospital_id",$hospital_id)->where("key",Input::get('key'))->first();
            
            if(isset($hospitals))
            {
                  // validate the info, create rules for the inputs
    			$rules = array(
    			'patient_name' => 'required',
    // 			'mobile'       => 'alphaNum|max:10|unique:appointments,mobile',
    			'email'        => 'email',
    // 			'gender'   => 'required',
    			'dob'          => 'date_format:Y-m-d',
    			'appointment_at'  =>'required|date_format:Y-m-d H:i:s',
    			);
    
    			// run the validation rules on the inputs from the form
    			$validator = Validator::make(Input::all(), $rules);
    			
    			// if the validator fails, redirect back to the form
            	 	if (!$validator->fails())
            	    {
            		  	if(intval($id)>0)
            		    {
            			    $appointment = Appointments::find($id);
            		    }
            		    else
            		    {
            			    $appointment = new Appointments();
            		    }
            		    
            		  		$appointment->patient_name  = Input::get('patient_name');
            				$appointment->mobile        = Input::get('mobile');
            				$appointment->email         = Input::get('email');
            				$appointment->gender        = Input::get('gender');
            				$appointment->hospital_id  	= $hospital_id;
            				$appointment->dob               = Input::get('dob');
				            $appointment->mrd_no            = Input::get('mrd_no');  
				            $appointment->section           = Input::get('section');
				            $appointment->ailment           = Input::get('ailment');
				            $appointment_at             = Input::get('appointment_at');
            		  		$appointment->appointment_at = $appointment_at;
            		  		$appointment->appointment_at_bakup = $appointment_at;
            				
            		  //		$appointment->appointment_end_at   = date("Y-m-d H:i:s",strtotime($appointment_at." +30 minutes"));
            		        $appointment->appointment_duration_minutes = 30;
            		  		
            		  		$timestamp = strtotime(date('Y-m-d H:i:s'));
            		  		
            				$appointment->room_key = $timestamp.Helper::randomPassword();
            				
            				$appointment->stream_url = "https://stream.goforhealth.in/stream/".$appointment->room_key;
            				
            				$appointment->save();
            				
            				$appointment->doctor_url = "https://stream.goforhealth.in/stream/dr/".$appointment->room_key;
            		  	
            		  	    $data = $appointment;
            		        $msg = 'Register Successfully';
            		        $status = 1;
            		  
            		}
            		else
            		{
            		  //  $messages =  $validator->errors();
            		    $messages =  $validator->messages();
            		    $msg = $messages->all();
            		  // var_dump($messages);
            		  //  var_dump($messages->messages);
            		  //  foreach( as $key => $error)
            		  //  {
            		        
            		  //  }
            		  //  exit();
            		    $status = 0;
            		} 
                    
            }
            else
            {
                $msg = "Invalid Key";
                $status = 0;
            }
		  
	        
	    }catch (Exception $e) {
            Log::error('APIController - AppointmentPost : '.$e->getMessage());
            // echo $e->getMessage();
            // exit();
            $status = 0;
            $msg = AppMessage::$GENERAL_ERROR;
            
         }

         header('Access-Control-Allow-Origin: *');
         return Response::json(array('msg'=>$msg,'status'=>$status,'data' => $data)); 
	}


}
