<?php

class BOController extends BaseController {

	/*
	|--------------------------------------------------------------------------
	| Default Home Controller
	|--------------------------------------------------------------------------
	|
	| You may wish to use controllers instead of, or in addition to, Closure
	| based routes. That's great! Here is an example controller method to
	| get you started. To route to this controller, just add the route:
	|
	|	Route::get('/', 'HomeController@showWelcome');
	|
	*/


	public function getIndex()
	{
	   try
	   {
	       $hospitals =  DB::table('hospitals')->get();

	       	return View::make('backoffice.index')->with('hospitals',$hospitals);

	        
	    }
	    catch (Exception $e) {
            Log::error('BOController - getIndexNew : '.$e->getMessage());
        }
	}	

	public function getReports($hospital_id,$key)
	{
	   try
	   {

	   		$is_export = false; 

	   		$from_dt = Input::has("from_dt")?Input::get("from_dt"):null;
	   		$to_dt = Input::has("to_dt")?Input::get("to_dt"):null;


	   		if(Input::get('FilterAdd'))
	   		{
	   			
	   		}
	   		elseif(Input::get('FilterRemove'))
	   		{
	   			$from_dt = null;
	   			$to_dt = null;
	   		}
	   		elseif(Input::get('Export'))
	   		{
				$is_export = true;
	   		}



	        $hospitals =  DB::table('hospitals')->get();
	        $hospital =  DB::table('hospitals')->where('hospital_id',$hospital_id)->where("key",$key)->first();
	       
	        if(isset($hospital))
            {

            	$in_from_dt = isset($from_dt)? "'".$from_dt."'":"null";
	   			$in_to_dt = isset($to_dt)? "'".$to_dt."'":"null";

    	        // show the form
    	        $appointments =   DB::select("call usp_get_reports($hospital->hospital_id,$in_from_dt,$in_to_dt)");

    	        if($is_export)
    	        {
    	        	$this->CSVExport($appointments);
    	        }
    	        else
    	        {
    	        	return View::make('backoffice.reports')->with('appointments', $appointments)->with('hospital',$hospital)->with('hospitals',$hospitals)->with('hospital_id',$hospital_id)->with('key',$key)->with('from_dt',$from_dt)->with('to_dt',$to_dt)->with("hospital",$hospital);	
    	        }

    	        
            }
            else
            {
              	return "<center><h2>Invalid Key</h2></center>";
            }
	        
	    }catch (Exception $e) {
            Log::error('BOController - getIndexNew : '.$e->getMessage());
            echo $e->getMessage();
         }
	}	



	public function CSVExport($data)
	{
	   try
	   {

	   	// var_dump($data);
	   	// exit();

	   	$filename ="reports-".date('YmdHi').'.csv';


	   	header('Content-Type: text/csv');
		header('Content-Disposition: attachment; filename='.$filename);

		$user_CSV[0] = array('SNo.','appointment_id', 'patient_name','mobile','email','mrd_no','created_at','appointment_at','appointment_start_at','appointment_end_at','appointment_duration_minutes','dr_duration','patient_duration','Total Duration');

		// very simple to increment with i++ if looping through a database result 
		$i =0;;
		foreach ($data as $key => $value) {
			$i++;
			$total_duration	= "";
			$dr_duration = str_replace('-','',$value->dr_duration);
			$patient_duration = str_replace('-','',$value->patient_duration);
			
			if(isset($value->dr_duration) && isset($value->patient_duration))
			{
				$secs = strtotime($dr_duration)-strtotime("00:00:00");
				$total_duration = date("H:i:s",strtotime($patient_duration)+$secs);

			}
			elseif(isset($value->dr_duration))
			{
					$total_duration	= $dr_duration;
			}
			elseif(isset($value->patient_duration))
			{
					$total_duration	= $patient_duration;
			}

			$user_CSV[$i] = array($i, $value->appointment_id,$value->patient_name,$value->mobile,$value->email,$value->mrd_no,$value->created_at,$value->appointment_at_bakup,$value->appointment_at,$value->appointment_end_at,$value->appointment_duration_minutes,$dr_duration,$patient_duration,$total_duration);
		}
		
		
		$fp = fopen('php://output', 'wb');
		foreach ($user_CSV as $line) {
		    // though CSV stands for "comma separated value"
		    // in many countries (including France) separator is ";"
		    fputcsv($fp, $line, ',');
		}
		fclose($fp);



	 //   	$number_of_fields = $this->mysqli_num_fields($result);
		// $headers = array();
		// for ($i = 0; $i < $number_of_fields; $i++) {
		//     $headers[] = $this->mysqli_field_name($result , $i);
		// }
		// $fp = fopen('php://output', 'w');
		// if ($fp && $result) {
		//     header('Content-Type: text/csv');
		//     header('Content-Disposition: attachment; filename="'.$filename.'"');
		//     header('Pragma: no-cache');
		//     header('Expires: 0');
		//     fputcsv($fp, $headers);
		//     while ($row = $result->fetch_array(MYSQLI_NUM)) {
		//         fputcsv($fp, array_values($row));
		//     }
		//     die;
		// }

	   		
	    }catch (Exception $e) {
            Log::error('BOController - CSVExport : '.$e->getMessage());
            echo $e->getMessage();
         }
	}	

	// public function mysqli_field_name($result, $field_offset)
	// {
	//     $properties = mysqli_fetch_field_direct($result, $field_offset);
	//     return is_object($properties) ? $properties->name : null;
	// }


}
