<?php
/*
|--------------------------------------------------------------------------
| Application Routes
|--------------------------------------------------------------------------
|
| Here is where you can register all of the routes for an application.
| It's a breeze. Simply tell Laravel the URIs it should respond to
| and give it the Closure to execute when that URI is requested.
|
*/

Route::get('/tests', function()
{         
});




Route::get('backoffice/login','UserController@getlogin');
Route::post('backoffice/login','UserController@postlogin');  

Route::get('backoffice/logout','UserController@logout');

Route::group(array('before' => 'auth', 'prefix' => 'backoffice'),function(){

    Route::get('/','BOController@getIndex');            
    // Route::get('/{hospital_id}/{key}','BOController@getReports');            
    Route::any('/reports/{hospital_id}/{key}','BOController@getReports');            
});


// Route::get('/','ApointmentController@getRegister'); 

// mobile number enter to login 
Route::get('/appointments_new/{hospital_id}/{key}','ApointmentController@getIndexNew'); 
Route::get('/appointments/{hospital_id}/{key}','ApointmentController@getIndexNew'); 
Route::get('register/{id?}','ApointmentController@getRegister'); 
Route::post('register/{id?}','ApointmentController@postRegister'); 


//Added by Sridhar

//call from client website 
Route::any('/api/appointment/{hospital_id}/{id?}','APIController@APIAppointmentPost');


//Call from videos stream application
Route::any('/api/getappointmentroom','APIController@getAppointmentRoom');
//appointment start and leave 
Route::any('/api/startroom','APIController@startRoom');
Route::any('/api/leaveroom','APIController@leaveRoom');

//video stream start and leave 
Route::any('/api/startstream','APIController@startStream');
Route::any('/api/leavestream','APIController@leaveStream');






































 
Route::get('/','QuizController@index'); 

// mobile number enter to login 
Route::get('login/{user_id?}','QuizController@RegisterGet'); 
Route::post('login/{user_id?}','QuizController@RegisterPost'); 

//users detail update form step
Route::get('user_info/{user_id}','QuizController@UserInformationGet');  
Route::post('user_info/{user_id}','QuizController@UserInformationPost');


//Route::group(array('before' => 'session'),function(){
	
//Quiz step
Route::get('quiz/{quiz_id}/{user_id}','QuizController@QuizGet'); 
Route::post('quiz/{quiz_id}/{user_id}','QuizController@QuizPost');
	
//});



//Random Quiz step
Route::get('quiz/random/{quiz_id}/{user_id}','QuizController@QuizRandomGet'); 
Route::post('quiz/random/{quiz_id}/{user_id}','QuizController@QuizRandomPost');

Route::get('success','QuizController@success');

Route::get('closed_page','QuizController@ClosedPage');

Route::get('session_input/{session_id?}','QuizController@SessionInputGet');
Route::post('session_input/{session_id?}','QuizController@SessionInputPost');
Route::any('session_delete/{session_id?}','QuizController@DeleteSession');
Route::any('session_view/{session_id?}','QuizController@ViewSession');

//Quiz input 

Route::get('quiz_input/{session_id?}/{quiz_id?}','QuizController@QuizInputGet');
Route::post('quiz_input/{session_id?}/{quiz_id?}','QuizController@QuizInputPost');
Route::any('quiz_delete/{session_id?}/{quiz_id?}','QuizController@DeleteQuiz');
Route::any('view_quiz/{quiz_id?}','QuizController@ViewQuiz');

Route::get('options_input/{quiz_id?}','QuizController@OptionGet');
Route::post('options_input/{quiz_id?}','QuizController@OptionPost');

Route::get('option_edit/{quiz_id?}/{qo_id?}','QuizController@OptionEditGet');
Route::post('option_edit/{quiz_id?}/{qo_id?}','QuizController@OptionEditPost');

Route::any('/option_delete/{quiz_id?}/{qo_id?}','QuizController@DeleteOption');


Route::get('cataract_one','QuizController@CataractOne'); 

Route::any('cataract_one_users','QuizController@CataractOneUser');
// End  session 1

// //Session - 2 - Cornea
Route::get('cornea','QuizController@Cornea'); 

Route::any('cornea_users','QuizController@CorneaUsers');
// End  session - 2

// //Session - 3 - glaucoma_one
Route::get('glaucoma_one','QuizController@GlaucomaOne'); 

Route::any('glaucoma_one_users','QuizController@GlaucomaOneUsers');
//End  session - 3

//Session - 4 - Retina
Route::get('retina','QuizController@Retina'); 

Route::any('retina_users','QuizController@RetinaUsers');  


//Session 5  - Cataract_two

Route::get('cataract','QuizController@CataractSession'); 

Route::any('cataract_users','QuizController@CataractSessionUser');  

//Session 6  - Pediatric Ophthalmology  

Route::any('pediatric_ophthalmology','QuizController@PediatricOphthalmology');  

Route::any('pediatric_ophthalmology_user','QuizController@PediatricOphthalmologyUser'); 

//Session 7  - Dusshera Special

Route::get('dusshera_special','QuizController@DussheraSpecial'); 

Route::any('dusshera_special_users','QuizController@DussheraSpecialUsers');    

//Options for each question
Route::any('dussheraspecial_qsans','QuizController@DussheraSpeciaQsans');  

//Options for each question
Route::any('pediatric_ophthalmology_qsans','QuizController@PediatricOphthalmologyQsans');  

// session 8 diwali_quiz
Route::any('diwali_quiz','QuizController@DiwaliQuiz');  

Route::any('diwali_quiz_user','QuizController@DiwaliQuizUser');

//Session -9 - glaucoma_two
Route::get('glaucoma_two','QuizController@GlaucomaTwo'); 

Route::any('glaucoma_two_users','QuizController@GlaucomaTwoUsers');

// //Session -9 - glaucoma_two
Route::get('glaucoma_session','QuizController@GlaucomaSession'); 

Route::any('glaucoma_session_users','QuizController@GlaucomaSessionUser');

//Options for each question
Route::any('diwali_quiz_qsans','QuizController@DiwaliQuizQsans');  


//Session   - Cataract

Route::get('cataract','QuizController@CataractSession'); 

Route::any('cataract_users','QuizController@CataractSessionUser');  

//Session   - Pediatric Ophthalmology  

Route::any('pediatric_ophthalmology','QuizController@PediatricOphthalmology');  

Route::any('pediatric_ophthalmology_user','QuizController@PediatricOphthalmologyUser'); 

//Options for each question
Route::any('pediatric_ophthalmology_qsans','QuizController@PediatricOphthalmologyQsans');  


 
Route::any('archive','QuizController@Information');
Route::any('session_one','QuizController@SessionOne');

//R. Nandhini 13.11.2019 Session input form//






//Cataract session 10 - 
Route::get('cataract_three','QuizController@CataracThree'); 

Route::any('cataract_three_users','QuizController@CataractThreeUsers');

//Options for each question
Route::any('cataract_three_quiz_qsans','QuizController@CataractThreeQuizQsans');  
// // //Session -9 - glaucoma_two
// Route::get('cataract_two_session','QuizController@CataractTwoSession'); 

// Route::any('cataract_two_session_users','QuizController@CataractTwoSessionUsers');

//Cataract session 10 -  
Route::get('cataract_three','QuizController@CataracThree'); 

Route::any('cataract_three_users','QuizController@CataractThreeUsers');

//Session -10 - cataract
Route::get('cataract_three_session','QuizController@CataractThreeSession'); 

Route::any('cataract_three_session_users','QuizController@CataractThreeSessionUser');

//Retina session 11 - 
Route::get('retina_two','QuizController@RetinaTwo'); 

Route::any('retina_two_users','QuizController@RetinaTwoUsers');

//Options for each question
Route::any('retina_two_qsans','QuizController@RetinaTwoQsans');  

//Session -11 - Retina
Route::get('retina_session','QuizController@RetinaSessionTwo'); 

Route::any('retina_session_users','QuizController@RetinaSessionTwoUsers');

//Word Roots session 11 - 
Route::get('word_roots','QuizController@WordRoots'); 

Route::any('word_roots_users','QuizController@WordRootsUsers');

//Options for each question
Route::any('word_roots_qsans','QuizController@WordRootsQsans');  

//Session -11 - Word Roots
Route::get('word_roots_session','QuizController@WordRootsSession'); 

Route::any('word_roots_session_users','QuizController@WordRootsSessionUsers');

//Named sign session 13 - 
Route::get('named_signs','QuizController@NamedSign'); 
Route::get('named_signs_users','QuizController@NamedSignUsers'); 


//Named sign session- 
Route::get('named_signs','QuizController@NamedSign'); 
Route::get('named_signs_users','QuizController@NamedSignUsers'); 
Route::get('named_signs_qsans','QuizController@NamedSignQsans');


//Named sign session 13 - 
Route::get('named_signs_session','QuizController@NamedSignSession'); 
Route::get('named_signs_session_users','QuizController@NamedSignUsersSession'); 

//Scientists in ophthalmology
Route::any('scientists_ophthalmology','QuizController@ScientistsOphthalmology'); 
Route::any('scientists_ophthalmology_users/{session_id?}','QuizController@ScientistsOphthalmologyUser'); 
Route::get('scientists_ophthalmology_qsans','QuizController@ScientistsOphthalmologyQsans');


//Scientists in ophthalmology
Route::get('scientists_ophthalmology_session','QuizController@ScientistsOphthalmologySession'); 
Route::get('scientists_ophthalmology_session_users','QuizController@ScientistsOphthalmologySessionUser'); 

//Ophthalmology Eponyms
Route::any('ophthalmology_eponyms','QuizController@OphthalmologyEponyms'); 
Route::any('ophthalmology_eponyms_users/{session_id?}','QuizController@OphthalmologyEponymsUsers'); 
Route::get('ophthalmology_eponyms_qsans','QuizController@OphthalmologyEponymsQsans');

//Ophthalmology Eponyms
Route::get('ophthalmology_eponyms_session','QuizController@OphthalmologyEponymsSession'); 
Route::get('ophthalmology_eponyms_session_users','QuizController@OphthalmologyEponymsSessionUser'); 

//OCT
Route::any('oct','QuizController@OCT'); 
Route::any('oct_users/{session_id?}','QuizController@OCTUsers'); 
Route::get('oct_qsans','QuizController@OCTQsans');

//OCT session
Route::get('oct_session','QuizController@OCTSession'); 
Route::get('oct_session_users','QuizController@OCTSessionUsers'); 

//VisualFields
Route::any('visual_fields','QuizController@VisualFields');
Route::any('visual_fields_users/{session_id?}','QuizController@VisualFieldsUsers'); 
Route::get('visual_fields_qsans','QuizController@VisualFieldsQsans');

//VisualFields Archive page
Route::any('visual_fields_session','QuizController@VisualFieldsSession');
Route::any('visual_fields_session_users/{session_id?}','QuizController@VisualFieldsUsersSession');
//Cataract
Route::any('cataract_ses','QuizController@CataractJan');
Route::any('cataract_ses_users/{session_id?}','QuizController@CataractJanUsers'); 
Route::get('cataract_ses_qsans','QuizController@CataractJanQsans');

//Cataract Jan Archive page
Route::any('cataract_session','QuizController@CataractArchive');
Route::any('cataract_session_users/{session_id?}','QuizController@CataractUsersArchive');

//Retina
Route::any('retina_ses','QuizController@Retinases');
Route::any('retina_ses_users/{session_id?}','QuizController@RetinasesUsers'); 
Route::get('retina_ses_qsans','QuizController@RetinasesQsans');


//Cornea
Route::any('cornea_ses','QuizController@Corneases');
Route::any('cornea_ses_users/{session_id?}','QuizController@CorneasesUsers');
Route::get('cornea_ses_qsans','QuizController@CorneasesQsans');


//BACK TO BASICS
Route::any('back_to_basics','QuizController@BacktoBasics');
Route::any('back_to_basics_users/{session_id?}','QuizController@BacktoBasicsUsers');
Route::get('back_to_basics_qsans','QuizController@BacktoBasicsQsans');



//Mega Quiz
Route::any('mega_quiz','QuizController@MegaQuiz');


//OPHTHALMIC SAVOURY
Route::any('ophthalmic_savoury','QuizController@OphthalmicSavoury');


// UVEA & RETINA
Route::any('uvea_retina','QuizController@UveaRetina');
Route::any('uvea_retina_users','QuizController@UveaRetinaUsers');

// UVEA & RETINA ARCHIVE
Route::any('uvea_retina_archive','QuizController@UveaRetinaArchive');
Route::any('uvea_retina_users_archive','QuizController@UveaRetinaUsersArchive');

// PEDIATRIC
Route::any('pediatric','QuizController@Pediatric');
// Route::any('pediatric_users','QuizController@PediatricUsers');