@extends('backoffice.layout')
@section('title','Backoffice') 
@section('head_title',isset($hospital)?$hospital->hospital_name : 'Reports')
@section('content')

<!-- Filter  -->
 <form action="{{ url('/backoffice/reports'.'/'.$hospital_id.'/'.$key) }}" method="post">
<div class="row">
   <div class="col-sm-12">
     
         <div id="accordion" role="tablist">
            <div class="card card-collapse ">
               <div class="card-header text-white bg-primary" role="tab" id="headingOne">
                  <!-- <h5 class="mb-0"> -->
                  <strong><a class="text-white collapsed" data-toggle="collapse" href="#collapseOne" aria-expanded="true" aria-controls="collapseOne">
                  <i class="fa fa-filter"></i> Filter</a> </strong> 
                  </a>

               </div>
               <div id="collapseOne" class="collapse" role="tabpanel" aria-labelledby="headingOne" data-parent="#accordion">
                  <div class="card-body">
                     <div class="row">
                      <div class="col-sm-4">
                          <label>From Date</label>
                          <input type="date" name="from_dt" class="form-control" value="{{ $from_dt }}">
                      </div>
                        <div class="col-sm-4">
                          <label>To Date</label>
                          <input type="date" name="to_dt" class="form-control" value="{{ $to_dt }}">
                      </div>

                       <!--  <div class="col-sm-4" id="cname">
                           <label>Customer Name</label>
                           <input type="text" name="CName" class="form-control" value="{{ $filter_name }}">
                        </div>
                        <div class="col-sm-4" id="cmobile">
                           <label>Mobile</label>
                           <input name="CMobile" type="text" class="form-control" value="{{ $filter_mob }}">
                        </div>
                        <div class="col-sm-4" id="cemail">
                           <label>Email</label>
                           <input  name="CEmail" type="text" class="form-control" value="{{ $filter_email }}">
                        </div> -->
                     </div>    
                     <br/>
                     
                  </div>
                   <div class="card-footer text-muted">   
                     <div class="row">                      
                        <div class="col-sm-12 text-right">                           
                           <input name="FilterRemove" type="submit"  class="btn btn-sm btn-danger" value="Remove Filter" />
                           <input  name="FilterAdd" type="submit" class="btn btn-sm btn-primary" value="Apply Filter">
                        </div>
                     </div>
                  </div>
               </div>
            </div>
         </div>
    
   </div>
</div>
  
<!--End Filter  -->

<div class="clear"></div>

<!-- Index Table  -->

   <!-- panel table design -->
   <div class="row">
      <div class="col-sm-12">
         <div class="card  card-collapse">
            <div id="header_id" class="card-header text-white bg-primary">               
                  <div class="row">
                     <div class="col-sm-12 col-md-6">       
                        <i class="fa fa-list" aria-hidden="true"></i>  
                        @if(isset($from_dt) && isset($to_dt))
                          {{ date('d-m-Y',strtotime($from_dt)) }} - {{ date('d-m-Y',strtotime($to_dt)) }}
                        @elseif(isset($from_dt))
                          {{ date('d-m-Y',strtotime($from_dt)) }} - Now
                        @elseif(isset($to_dt))
                          Beginning  - {{ date('d-m-Y',strtotime($to_dt)) }} 
                        @else 
                          All
                        @endif  
                         | Count : {{ count($appointments) }}  
                     </div>
                     <div class="col-sm-12 col-md-6 text-right">
                        <input  name="Export" type="submit" class="btn btn-sm btn-danger" value="Export CSV">
                     </div>
               </div>
            </div>
             <?php $sno = count($appointments);?>
            <div class="card">
               <table class="table  table-striped table-bordered">
                  <thead class="thead-dark">
                    <tr>
                      <!-- <th></th> -->
                      
                       
                    </tr>
                     <tr>
                      <!--   <th>
                           <input class="chk" type="checkbox" name="id[]" id="selectall" type="button">
                        </th> -->
                        <th width="8%;" rowspan="2" class="text-center align-middle">S No</th>
                        <th width="8%;" rowspan="2" class="text-center align-middle">Patient Name</th>
                        <th width="14%;" rowspan="2" class="text-center align-middle">Mobile / Email</th>
                        <th width="14%;" rowspan="2" class="text-center align-middle">Appointment @</th>
                         <th colspan="2" class="text-center">
                          Appointment
                        </th>
                        <th colspan="2" class="text-center">
                          Duration
                        </th>
                     </tr>
                     <tr>
                        <th width="14%;" class="text-center"> Start</th>
                        <th width="14%;" class="text-center"> End</th>
                        <th width="10%;" class="text-center">Doctor</th>
                        <th width="10%;" class="text-center">Patient</th>
                     </tr>
                  </thead>
                  @foreach($appointments as $appointment)
                  <tbody>
                     <tr >
                     <!--    <td class="align-middle"><input class="chk" type="checkbox" name="id[]" value="{{$customer->customer_id}}"></td>
                      --> 
                        <td class="align-middle text-center" >{{ $sno--}}</td>
                        <td class="align-middle">{{ $appointment->patient_name}} </td>
                        <td class="align-middle">{{ $appointment->mobile}} <br /> {{ $appointment->email}}</td>
                        <td class="align-middle text-center">{{ isset($appointment->appointment_at_bakup)? date('d-m-Y H:i',strtotime($appointment->appointment_at_bakup)) : ''  }}</td>
                        <td class="align-middle text-center">{{ isset($appointment->appointment_at)? date('d-m-Y H:i',strtotime($appointment->appointment_at)) : '' }}</td>
                        <td class="align-middle text-center">{{ isset($appointment->appointment_end_at)? date('d-m-Y H:i',strtotime($appointment->appointment_end_at)) : ''}}</td>
                        <td class="align-middle text-center">{{ isset($appointment->dr_duration)? str_replace('-','',$appointment->dr_duration) :'' }}</td>
                        <td class="align-middle text-center"> {{ isset($appointment->patient_duration)? str_replace('-','',$appointment->patient_duration):''}}</td>
                     </tr>
                  </tbody>
                  @endforeach 
               </table>
            </div>
         </div>
      </div>
   </div>
</form>
<!--End Index Table -->
@stop
@section('bottom_script')
<script type="text/javascript">
    
    
</script> 
@stop